## saga 7.3.0+dfsg

=== src/accessories/CMakeLists.txt ===
project(assesories)
message(STATUS "folder: ${PROJECT_NAME}")

#add_subdirectory(toolchains)
install(DIRECTORY toolchains DESTINATION share/saga
	FILES_MATCHING PATTERN "*.xml")

=== src/saga_core/saga_gui/res/CMakeLists.txt ===
message(STATUS "subfolder: ${PROJECT_NAME}/res")

# desktop file
install(FILES saga.desktop DESTINATION share/applications)

# pixmaps file
install(FILES saga.png DESTINATION share/pixmaps)

# sized icons
set(ICON_SIZES 8 16 22 24 32 48 64 72 80 96 128 192)

foreach(size ${ICON_SIZES})
	#message(STATUS "icon size: ${size}")
	set(_icon_source "saga_icon_${size}.png")
	set(_icon_target "share/icons/hicolor/${size}x${size}/apps/")
	install(FILES ${_icon_source}
		DESTINATION ${_icon_target}
		RENAME saga.png
	)
endforeach()

set(size 256)
set(_icon_target "share/icons/hicolor/${size}x${size}/apps/")
install(FILES saga.png
	DESTINATION ${_icon_target}
)
# clean variables
set(size)
set(_icon_source)
set(_icon_target)

# appdata
install(FILES org.saga-gis.saga-gui.appdata.xml DESTINATION share/metainfo)

# tip, srs and dic
install(FILES saga_tip.txt DESTINATION share/saga)
install(FILES saga_srs.txt DESTINATION share/saga RENAME saga_prj.srs)
install(FILES saga_dic.txt DESTINATION share/saga RENAME saga_prj.dic)

# cosmetic: add to custom target to show up in IDE
add_custom_target(saga-gui-res-otherfiles SOURCES
	saga.desktop
	org.saga-gis.saga-gui.appdata.xml
	saga_tip.txt
	saga_srs.txt
	saga_dic.txt
	)

# TODO: dist-hook

=== src/accessories/templates/template4saga-tools/my_tool_library/Makefile ===
# Project: my_tool_library
# Linux GCC Makefile

LIB_NAME  = libmy_tool_library.so

SAGA_ROOT = /usr/local

CXX_INCS  = -I"$(SAGA_ROOT)/include/saga/saga_core"
CXX_DEFS  = -D_SAGA_LINUX -D_TYPEDEF_BYTE -D_TYPEDEF_WORD
CXX_FLGS  = -fPIC -DPIC -fopenmp -O2
CXXFLAGS  = $(CXX_INCS) $(CXX_DEFS) $(CXX_FLGS)
LNKFLAGS  = -fPIC -DPIC -shared
LNKLIBS   = -L"$(SAGA_ROOT)/lib" -lgomp -lsaga_api

CPP       = g++
LD        = g++

OBJ       = TLB_Interface.o my_tool.o


#########################################

.PHONY: all all-before all-after clean clean-custom

all: all-before $(LIB_NAME) all-after

clean: clean-custom
	rm -f $(OBJ) $(LIB_NAME)

$(LIB_NAME): $(OBJ)
	$(LD) $(LNKFLAGS) $(OBJ) $(LNKLIBS) -o $(LIB_NAME)

	
#########################################

TLB_Interface.o: TLB_Interface.cpp
	$(CPP) -c TLB_Interface.cpp -o TLB_Interface.o $(CXXFLAGS)

my_tool.o: my_tool.cpp
	$(CPP) -c my_tool.cpp -o my_tool.o $(CXXFLAGS)

## saga 2.0.7+dfsg

=== debian/changelog ===
saga (2.0.7+dfsg-2) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * Added missing ${python:Depends} in python-saga and remove autodetection
    of python versions. Thanks Jakub Wilk.
    (closes: #642566)

  [ Johan Van de Wauw ]
  * Install man-files correctly.
  * Add python-saga to the right section.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 27 Sep 2011 15:27:31 +0200

saga (2.0.7+dfsg-1) unstable; urgency=low

  [ Johan Van de Wauw ]
  * Imported Upstream version 2.0.7
  * Delete .svn files prior when creating dfsg-free tarball
  * Fix gcc 4.6 build issues
  * Use debian version of grib2
  * Bump standards version
  * Enable building of python plugin
  * Add support for opening *.las files
  * Adjust grid_gridding to use qhull

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 30 Aug 2011 15:39:35 -0400

saga (2.0.6+dfsg-0) unstable; urgency=low

  [ Johan Van de Wauw ]
  * Update to 2.0.6 
  * Add libvigra-impex-dev - enables extra modules
  * Add break/replace to avoid apt problems
  * Revert to the right descriptions in debian/control
  * Update saga_depends to 2.0.6
  * Switch build system from cdbs to dh7
  * Add patch from autoreconf result

  [ Francesco Paolo Lovergine ]
  * Dropped obsolete pre-squeeze proj alternative build-dep.
  * Policy bumped to current 3.9.2, without changes.
  * Dropped cdbs dependency, now using debhelper dh_* rules.
  * Using source 3.0 format with quilt support.
  * Debhelper level set to 8.
  * Some packaging changes.
  * Added missing changelog note.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 07 Jun 2011 17:16:33 +0200

saga (2.0.5+dfsg-0) unstable; urgency=low

  * Update to 2.0.5

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Wed, 29 Sep 2010 14:23:48 +0200

saga (2.0.4+dfsg-3) unstable; urgency=low

  * Update build-depends to enable backport to lenny
  * Move unversioned libraries to -dev package
  * Fix module description html generation
  * Bump standards version to 3.9.0, no changes required

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Thu, 22 Jul 2010 13:27:01 +0200

saga (2.0.4+dfsg-2) unstable; urgency=low

  [ Johan Van de Wauw ]
  * Fix program description (closes: #578419)
  * Fix bug: deep map window zoom freezes SAGA
  * Fix Esri E00 import
  * Fix bug: printf() crashes

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 10 May 2010 16:00:39 +0200

saga (2.0.4+dfsg-1) unstable; urgency=low

  * Initial release, with copyright fixes and non-free removals.
    (closes: #570014)

  [ Johan Van de Wauw ]
  * Initial import debian files
  * Fix tip of the day
  * Add saga_gdi to lib instead of pkglib (fixes errors when running
    saga_cmd)
  * Fix upstream bug 2896803 Grid to shapefile
  * Update manfile (multiple files example)
  * Remove unneccesary CVS files
  * Add libsaga_gdi.so to /usr/lib instead of /usr/lib/saga
  * Use grib2 in debian instead of static linked version
  * Separate saga-dev package
  * Fix sonumbers for saga_api.so and saga_gdi
  * Remove non-free components (in grid_gridding and fire_simulation)

  [ Francesco Paolo Lovergine ]
  * Maintainer set to DebianGis team, with git maintenance.
  * Added Johan and me as uploaders.
  * Set Vcs-* fields.
  * Long description revised.
  * Set libproj-dev build-dep.
  * Moved to Debhelper level 7.
  * Minor layout changes to debian/control to respect 80 cols width.
  * Debian revision reset to 2.0.4-1.
  * Apps -> Applications in debian/menu.
  * Now libtool helper files .la are not installed.
  * Added ITP bug number.
  * Added a templated debhelper saga-depends little script to provide required
    substvars for third-parties packages.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 25 Mar 2010 13:22:43 +0100

=== debian/control ===
Source: saga
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>, Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: libwxgtk2.8-dev, wx-common, libgdal-dev, libexpat-dev,
 libogdi3.2-dev, libproj-dev, libgrib2c-dev, debhelper (>=8), swig,
 libqhull-dev, libhpdf-dev, libvigraimpex-dev, python-dev, liblas-dev
Standards-Version: 3.9.2
Homepage: http://www.saga-gis.org/
Vcs-Git: git://git.debian.org/pkg-grass/saga.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/saga.git

Package: saga
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsaga (= ${binary:Version})
Description: System for Automated Geoscientific Analyses
 SAGA GIS (System for Automated Geoscientific Analyses) is a free and
 open source geographic information system used for editing and 
 analysing spatial data. It includes a large number of modules for the
 analysis of vector (point, line and polygon), table, grid and image 
 data. Among others the package includes modules for geostatistics, 
 image classification, projections, simulation of dynamic processes 
 (hydrology, landscape development) and terrain analysis.
 The functionality can be accessed through a GUI, the command line or 
 by using the C++ API.

Package: libsaga-dev
Section: libdevel
Architecture: any
Suggests: saga (= ${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsaga (<< 2.0.4+dfsg-3~)
Breaks: libsaga (<< 2.0.4+dfsg-3~)
Description: SAGA GIS development files
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 . 
 This package contains the header files for developing with SAGA.
 Install this package if you wish to develop software that uses the SAGA API.

Package: libsaga
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libsaga-2.0.7
Description: SAGA GIS development files
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 . 
 This package contains the library files for developing with SAGA.

Package: python-saga
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libsaga (= ${binary:Version})
Suggests: saga (= ${binary:Version})
Description: SAGA GIS python bindings
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 . 
 This package contains the python bindings to SAGA.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with-python2

override_dh_auto_configure:
	dh_auto_configure -- --enable-unicode --prefix=/usr --enable-python

VERSION := $(shell grep '^AC_INIT' configure.in | \
	sed 's/AC_INIT(saga, \([0-9|\.]*\)\,.*)/\1/g')
UPSTREAM_URL ?=$(shell uscan --dehs | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

debian/% :: debian/%.in
	sed -e 's/@VERSION@/$(VERSION)/' $< >$@

override_dh_python2:
	dh_python2 --no-guessing-versions

get-orig-source:
	wget $(UPSTREAM_URL)
	gunzip *.tar.gz
	tar --delete -f saga_$(UPSTREAM_VERSION).tar saga-$(UPSTREAM_VERSION)/src/modules/grid/grid_gridding/nn/triangle.c
	tar --delete -f saga_$(UPSTREAM_VERSION).tar saga-$(UPSTREAM_VERSION)/src/modules/grid/grid_gridding/nn/triangle.h
	tar --delete -f saga_$(UPSTREAM_VERSION).tar saga-$(UPSTREAM_VERSION)/src/modules_simulation/fire
	tar --delete -f saga_$(UPSTREAM_VERSION).tar saga-$(UPSTREAM_VERSION)/src/modules_io/grid/io_grid_grib2/g2clib-1.0.4
	tar --delete -f saga_$(UPSTREAM_VERSION).tar saga-$(UPSTREAM_VERSION)/src/saga_core/saga_gui/res/xpm/.svn
	gzip -9n saga_$(UPSTREAM_VERSION).tar
	mv saga_$(UPSTREAM_VERSION).tar.gz ../saga_$(UPSTREAM_VERSION)+dfsg.orig.tar.gz

## saga 2.0.8+dfsg

=== debian/changelog ===
saga (2.0.8+dfsg-4) unstable; urgency=low

  * Correct saga-depends
  * Add Missing Depends to libsaga-dev. Fixes #715109

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Wed, 17 Jul 2013 13:58:31 -0400

saga (2.0.8+dfsg-3) unstable; urgency=low

  * Removed libvigraimpex-dev b-d.
    (closes: #669468)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 18 Jun 2012 14:28:12 +0200

saga (2.0.8+dfsg-2) unstable; urgency=low

  [ Johan Van de Wauw ]
  * Run autoreconf after last grib2 fix + more logical patches.

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 3.9.3, no changes required.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 28 Feb 2012 23:46:51 +0100

saga (2.0.8+dfsg-1) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * Fixed python support in debian/rules for dh call.
    (closes: #642566)
  * Fixed a bit of mess in patchset and upstream on git repo.

  [ Johan Van de Wauw ]
  * Imported Upstream version 2.0.8

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 07 Feb 2012 19:43:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>, Francesco Paolo Lovergine <frankie@debian.org>
 Build-Depends: libwxgtk2.8-dev, wx-common, libgdal-dev, libexpat-dev,
  libogdi3.2-dev, libproj-dev, libgrib2c-dev, debhelper (>=8), swig,
- libqhull-dev, libhpdf-dev, libvigraimpex-dev, python-dev, liblas-dev
-Standards-Version: 3.9.2
+ libqhull-dev, libhpdf-dev, python-dev, liblas-dev
+Standards-Version: 3.9.3
 Homepage: http://www.saga-gis.org/
 Vcs-Git: git://git.debian.org/pkg-grass/saga.git
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/saga.git
@@ -29,7 +29,7 @@
 Section: libdevel
 Architecture: any
 Suggests: saga (= ${binary:Version})
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsaga (= ${binary:Version})
 Replaces: libsaga (<< 2.0.4+dfsg-3~)
 Breaks: libsaga (<< 2.0.4+dfsg-3~)
 Description: SAGA GIS development files
@@ -43,7 +43,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libsaga-2.0.7
+Provides: libsaga-2.0.8
 Description: SAGA GIS development files
  SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
  information system used for editing and analysing spatial data.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with-python2
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-unicode --prefix=/usr --enable-python

## saga 2.1.0%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/saga-gis/saga_(\d\.\d\.\d).tar\.gz

## saga 2.1.0+dfsg

=== debian/changelog ===
saga (2.1.0+dfsg-1build2) trusty; urgency=medium

  * rebuild against libqhull6

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 23 Feb 2014 13:29:57 +0100

saga (2.1.0+dfsg-1build1) trusty; urgency=medium

  * No-change rebuild for the libgdal1 -> libgdal1h transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 29 Dec 2013 03:15:42 -0700

saga (2.1.0+dfsg-1) unstable; urgency=low

  [ Johan Van de Wauw ]
  * Update to new upstream version.
  * Uses wxwidgets 3.0 instead of 2.8

  [ Francesco Paolo Lovergine ]
  * Tagged for sid.
  * Changed path to relative ones in *.install file for dh_install.
  * Truly annotate the previous fix.
    (closes: #715109)

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Thu, 14 Nov 2013 21:16:53 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>, Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: libwxgtk2.8-dev, wx-common, libgdal-dev, libexpat-dev,
+Build-Depends: libwxgtk3.0-dev, wx-common, libgdal-dev, libexpat-dev,
  libogdi3.2-dev, libproj-dev, libgrib2c-dev, debhelper (>=8), swig,
- libqhull-dev, libhpdf-dev, python-dev, liblas-dev
-Standards-Version: 3.9.3
+ libqhull-dev, libhpdf-dev, python-dev, liblas-dev, dh-autoreconf
+Standards-Version: 3.9.4
 Homepage: http://www.saga-gis.org/
 Vcs-Git: git://git.debian.org/pkg-grass/saga.git
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/saga.git
@@ -43,7 +43,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libsaga-2.0.8
+Provides: libsaga-2.1.0
 Description: SAGA GIS development files
  SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
  information system used for editing and analysing spatial data.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with python2
+	dh $@ --with python2 --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-unicode --prefix=/usr --enable-python
+	dh_auto_configure -- --enable-unicode --prefix=/usr --enable-python $(shell dpkg-buildflags --export=configure)
 
 VERSION := $(shell grep '^AC_INIT' configure.in | \
 	sed 's/AC_INIT(saga, \([0-9|\.]*\)\,.*)/\1/g')
@@ -16,6 +16,10 @@
 override_dh_python2:
 	dh_python2 --no-guessing-versions
 
+override_dh_clean:
+	dh_clean
+	rm -f src/saga_core/saga_api/saga_api.py
+
 get-orig-source:
 	wget $(UPSTREAM_URL)
 	gunzip *.tar.gz

## saga 2.1.2+dfsg

=== debian/changelog ===
saga (2.1.2+dfsg-3) unstable; urgency=medium

  * Use dep-5 style copyright file
  * Enable OpenMP
  * Revert "Temporarily disable building saga gui on arm" - bug resolved in gcc
  * Fix provides tag

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Thu, 09 Oct 2014 21:09:35 +0200

saga (2.1.2+dfsg-2) unstable; urgency=medium

  * Remove unneeded configure option
  * Fix wrong version number in saga-depends
  * Temporarily disable building saga gui on arm (closes: #755361)

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 12 Aug 2014 18:48:40 +0200

saga (2.1.2+dfsg-1) unstable; urgency=medium

  * Import new upstream (closes: #717624)
  * Fix patches - remove autoreconf results - rename configure.in
  * Remove changes to Makefile.am (autoreconf)
  * Remove patch (included upstream)
  * Delete missing icons from menu fil
  * Bump standards version - no changes needed

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 15 Jul 2014 04:38:14 -0400

=== debian/control ===
Source: saga
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>,
           Francesco Paolo Lovergine <frankie@debian.org>
Section: science
Priority: optional
Build-Depends: libwxgtk3.0-dev,
               wx-common,
               libgdal-dev,
               libexpat-dev,
               libogdi3.2-dev,
               libproj-dev,
               libgrib2c-dev,
               debhelper (>= 9),
               swig,
               libqhull-dev,
               libhpdf-dev,
               python-dev,
               liblas-dev,
               dh-autoreconf
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/saga.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/saga.git
Homepage: http://www.saga-gis.org/

Package: saga
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsaga (= ${binary:Version})
Description: System for Automated Geoscientific Analyses
 SAGA GIS (System for Automated Geoscientific Analyses) is a free and
 open source geographic information system used for editing and 
 analysing spatial data. It includes a large number of modules for the
 analysis of vector (point, line and polygon), table, grid and image 
 data. Among others the package includes modules for geostatistics, 
 image classification, projections, simulation of dynamic processes 
 (hydrology, landscape development) and terrain analysis.
 The functionality can be accessed through a GUI, the command line or 
 by using the C++ API.

Package: libsaga-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsaga (= ${binary:Version})
Suggests: saga (= ${binary:Version})
Breaks: libsaga (<< 2.0.4+dfsg-3~)
Replaces: libsaga (<< 2.0.4+dfsg-3~)
Description: SAGA GIS development files
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 . 
 This package contains the header files for developing with SAGA.
 Install this package if you wish to develop software that uses the SAGA API.

Package: libsaga
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: libsaga-2.1.2
Description: SAGA GIS shared libraries
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 . 
 This package contains the library files for developing with SAGA.

Package: python-saga
Architecture: any
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         libsaga (= ${binary:Version})
Suggests: saga (= ${binary:Version})
Description: SAGA GIS Python bindings
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 . 
 This package contains the Python bindings to SAGA.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS+=$(CPPFLAGS)

%:
	dh $@ --with python2 --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --enable-openmp --enable-python $(shell dpkg-buildflags --export=configure)

VERSION := $(shell grep '^AC_INIT' configure.ac | \
	sed 's/AC_INIT(saga, \([0-9|\.]*\)\,.*)/\1/g')
UPSTREAM_URL ?=$(shell uscan --dehs | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

debian/% :: debian/%.in
	sed -e 's/@VERSION@/$(VERSION)/' $< >$@

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_clean:
	dh_clean
	rm -f src/saga_core/saga_api/saga_api.py

override_dh_makeshlibs:
	dh_makeshlibs -Xpython-saga

get-orig-source:
	uscan --verbose --force-download --repack --compression xz
	#sources up to version 2.1.2 were created using these commands:
	#wget $(UPSTREAM_URL)
	#gunzip *.tar.gz
	#tar --delete -f saga_$(UPSTREAM_VERSION).tar saga-$(UPSTREAM_VERSION)/src/modules/grid/grid_gridding/nn/triangle.c
	#tar --delete -f saga_$(UPSTREAM_VERSION).tar saga-$(UPSTREAM_VERSION)/src/modules/grid/grid_gridding/nn/triangle.h
	#tar --delete -f saga_$(UPSTREAM_VERSION).tar saga-$(UPSTREAM_VERSION)/src/modules/simulation/sim_fire_spreading
	#gzip -9n saga_$(UPSTREAM_VERSION).tar
	#mv saga_$(UPSTREAM_VERSION).tar.gz ../saga_$(UPSTREAM_VERSION)+dfsg.orig.tar.gz

## saga 2.1.4+dfsg

=== debian/changelog ===
saga (2.1.4+dfsg-1ubuntu1) vivid; urgency=medium

  * 0099-no-hdf5.patch: Disable hdf5 to match libvigraimpex (LP: #1423670)
  * Rebuild against the latest ABI version of libgdal-dev (LP: #1433255)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Mar 2015 16:11:56 -0600

saga (2.1.4+dfsg-1) unstable; urgency=medium

  * Update to new upstream version

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Fri, 31 Oct 2014 21:31:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: saga
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>,
            Francesco Paolo Lovergine <frankie@debian.org>
 Section: science
@@ -17,18 +18,20 @@
                libhpdf-dev,
                python-dev,
                liblas-dev,
-               dh-autoreconf
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/saga.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/saga.git
+               dh-autoreconf,
+               libsvm-dev,
+               libvigraimpex-dev
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/saga.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/saga.git -b experimental
 Homepage: http://www.saga-gis.org/
 
 Package: saga
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libsaga (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
 Description: System for Automated Geoscientific Analyses
  SAGA GIS (System for Automated Geoscientific Analyses) is a free and
  open source geographic information system used for editing and 
@@ -61,9 +64,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Provides: libsaga-2.1.2
 Description: SAGA GIS shared libraries
  SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
@@ -74,12 +77,12 @@
 Package: python-saga
 Architecture: any
 Section: python
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
          libsaga (= ${binary:Version})
 Suggests: saga (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
 Description: SAGA GIS Python bindings
  SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
  information system used for editing and analysing spatial data.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS+=$(CPPFLAGS)

%:
	dh $@ --with python2 --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --enable-openmp --enable-python $(shell dpkg-buildflags --export=configure)

VERSION := $(shell grep '^AC_INIT' configure.ac | \
	sed 's/AC_INIT(saga, \([0-9|\.]*\)\,.*)/\1/g')
UPSTREAM_URL ?=$(shell uscan --dehs | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

debian/% :: debian/%.in
	sed -e 's/@VERSION@/$(VERSION)/' $< >$@

override_dh_auto_build: man
	dh_auto_build

man:
	pod2man --section=1 --release=$(VERSION) --center " " debian/saga_cmd.pod >saga_cmd.1
	pod2man --section=1 --release=$(VERSION) --center " " debian/saga_gui.pod >saga_gui.1

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_clean:
	dh_clean
	rm -f src/saga_core/saga_api/saga_api.py
	rm -f saga_cmd.1
	rm -f saga_gui.1

override_dh_makeshlibs:
	dh_makeshlibs -Xpython-saga

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## saga 2.2.0+dfsg

=== debian/changelog ===
saga (2.2.0+dfsg-1build2) wily; urgency=medium

  * No-change rebuild against libgdal1i

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 23 Aug 2015 01:27:49 +0000

saga (2.2.0+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:30:02 +0200

saga (2.2.0+dfsg-1) unstable; urgency=medium

  [ Johan Van de Wauw ]
  * Enable parallel building
  * Add patch to work with recent versions of libvigraimpex
    Patch provided by Adam Conrad (closes: #792696)

  [ Bas Couwenberg ]
  * Add repacksuffix in watch file to use +dfsg in version.
  * Remove trailing space after . control statement.

  [ Johan Van de Wauw ]
  * Fix manpages build
  * Remove B/D on liblas
  * Imported Upstream version 2.2.0+dfsg
  * Fix manfile generation once more
  * Add opencv module

  [ Bas Couwenberg ]
  * Update copyright file, changes:
    - Add differently licensed files
    - Change Boost license to SPDX compatible BSL-1.0 shortname
    - Correct dxflib license to GPL-2 or dxf-Commercial
    - Align copyrght holders
    - Remove trailing whitespace
  * Add build dependencies for missing headers:
    - libcv-dev             opencv/cv.h
    - libopencv-photo-dev   opencv2/photo/photo.hpp
    - libopencv-contrib-dev opencv2/contrib/contrib.hpp

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Fri, 17 Jul 2015 18:07:41 +0200

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,15 @@
                libqhull-dev,
                libhpdf-dev,
                python-dev,
-               liblas-dev,
                dh-autoreconf,
                libsvm-dev,
-               libvigraimpex-dev
+               libvigraimpex-dev,
+               libcv-dev,
+               libopencv-core-dev,
+               libopencv-contrib-dev,
+               libopencv-imgproc-dev,
+               libopencv-legacy-dev,
+               libopencv-photo-dev
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/saga.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/saga.git -b experimental
@@ -56,7 +61,7 @@
 Description: SAGA GIS development files
  SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
  information system used for editing and analysing spatial data.
- . 
+ .
  This package contains the header files for developing with SAGA.
  Install this package if you wish to develop software that uses the SAGA API.
 
@@ -71,7 +76,7 @@
 Description: SAGA GIS shared libraries
  SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
  information system used for editing and analysing spatial data.
- . 
+ .
  This package contains the library files for developing with SAGA.
 
 Package: python-saga
@@ -86,5 +91,5 @@
 Description: SAGA GIS Python bindings
  SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
  information system used for editing and analysing spatial data.
- . 
+ .
  This package contains the Python bindings to SAGA.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
http://sf.net/saga-gis/saga_(\d\.\d\.\d).tar\.gz

## saga 2.2.3+dfsg

=== debian/changelog ===
saga (2.2.3+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild for qhull transition.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 06:53:42 +0000

saga (2.2.3+dfsg-1) unstable; urgency=medium

  * Fix files-excluded path
  * Imported Upstream version 2.2.3+dfsg (closes: #808248)
  * Refresh patches
  * No longer install menu file
  * Don't install projection definitions twice
  * Update saga-depends

 -- Johan Van de Wauw <johan@vandewauw.be>  Mon, 04 Jan 2016 20:58:20 +0100

saga (2.2.2-1) unstable; urgency=medium

  * Point to right branch for vcs-git
  * Update watchfile to find also versions separated by -
  * Imported Upstream version 2.2.2
  * Install more shared files

 -- Johan Van de Wauw <johan@vandewauw.be>  Tue, 27 Oct 2015 15:52:10 +0100

saga (2.2.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.2.1+dfsg
  * Refresh patches
  * Add additional copyright holder

 -- Johan Van de Wauw <johan@vandewauw.be>  Thu, 24 Sep 2015 18:23:44 +0200

saga (2.2.0+dfsg-2) unstable; urgency=medium

  * Fix opencv module
  * Update my emailaddress

 -- Johan Van de Wauw <johan@vandewauw.be>  Tue, 15 Sep 2015 22:59:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: saga
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>,
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Johan Van de Wauw <johan@vandewauw.be>,
            Francesco Paolo Lovergine <frankie@debian.org>
 Section: science
 Priority: optional
@@ -28,7 +27,7 @@
                libopencv-photo-dev
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/saga.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/saga.git -b experimental
+Vcs-Git: git://anonscm.debian.org/pkg-grass/saga.git
 Homepage: http://www.saga-gis.org/
 
 Package: saga

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CFLAGS+=$(CPPFLAGS)
 
 %:
-	dh $@ --with python2 --with autoreconf
+	dh $@ --with python2 --with autoreconf --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --enable-openmp --enable-python $(shell dpkg-buildflags --export=configure)
@@ -20,8 +20,9 @@
 	dh_auto_build
 
 man:
+	pod2man --section=1 --release=$(VERSION) --center " " debian/saga_gui.pod >saga_gui.1
 	pod2man --section=1 --release=$(VERSION) --center " " debian/saga_cmd.pod >saga_cmd.1
-	pod2man --section=1 --release=$(VERSION) --center " " debian/saga_gui.pod >saga_gui.1
+	dh_auto_build
 
 override_dh_python2:
 	dh_python2 --no-guessing-versions

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
http://sf.net/saga-gis/saga[_-](\d\.\d\.\d).tar\.gz

## saga 2.3.1%2Bdfsg

=== debian/control ===
Source: saga
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan@vandewauw.be>,
           Francesco Paolo Lovergine <frankie@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libdxflib-dev,
               libexpat-dev,
               libgdal-dev,
               libhpdf-dev,
               libogdi3.2-dev,
               libopencv-core-dev,
               libopencv-dev | libcv-dev,
               libopencv-dev | libopencv-contrib-dev,
               libopencv-dev | libopencv-legacy-dev,
               libopencv-imgproc-dev,
               libopencv-photo-dev,
               libproj-dev,
               libqhull-dev,
               libsvm-dev,
               libvigraimpex-dev,
               libwxgtk3.0-dev,
               python-dev,
               swig
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/saga.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/saga.git
Homepage: http://www.saga-gis.org/

Package: saga
Architecture: any
Depends: saga-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: System for Automated Geoscientific Analyses
 SAGA GIS (System for Automated Geoscientific Analyses) is a free and
 open source geographic information system used for editing and
 analysing spatial data. It includes a large number of modules for the
 analysis of vector (point, line and polygon), table, grid and image
 data. Among others the package includes modules for geostatistics,
 image classification, projections, simulation of dynamic processes
 (hydrology, landscape development) and terrain analysis.
 The functionality can be accessed through a GUI, the command line or
 by using the C++ API.

Package: saga-common
Architecture: all
Depends: ${misc:Depends}
Breaks: saga (<< 2.2.5+dfsg-1~)
Replaces: saga (<< 2.2.5+dfsg-1~)
Description: SAGA GIS architecture independent files
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the architecture independent files for SAGA.

Package: libsaga-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsaga-api-2.3.1 (= ${binary:Version}),
         libsaga-gdi-2.3.1 (= ${binary:Version}),
         ${misc:Depends}
Suggests: saga (= ${binary:Version})
Description: SAGA GIS development files
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the header files for developing with SAGA.
 Install this package if you wish to develop software that uses the SAGA API.

Package: libsaga-api-2.3.1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: SAGA GIS shared libraries
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the library files for developing with SAGA.

Package: libsaga-gdi-2.3.1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: SAGA GIS shared library (graphical models)
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the library files for developing graphical modules.

Package: libsaga
Architecture: all
Section: oldlibs
Priority: extra
Depends: libsaga-api-2.3.1,
         libsaga-gdi-2.3.1,
         ${misc:Depends}
Description: SAGA GIS shared libraries - transitional package
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package is a transitional package from libsaga to
 libsaga-api-2.3.1 and libsaga-gdi-2.3.1.
 It can safely be removed.

Package: python-saga
Architecture: any
Section: python
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: saga (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: SAGA GIS Python bindings
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the Python bindings to SAGA.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += $(CPPFLAGS)

VERSION          := $(shell grep '^AC_INIT' configure.ac | sed 's/AC_INIT(saga, \([0-9|\.]*\)\,.*)/\1/g')
UPSTREAM_URL     ?= $(shell uscan --dehs | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
UPSTREAM_VERSION ?= $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

TEMPLATES = $(wildcard debian/*.in)

templates:
	for TEMPLATE in $(TEMPLATES) ; do \
		sed -e 's/@VERSION@/$(VERSION)/g' $$TEMPLATE > `echo $$TEMPLATE | sed 's/.in$$//'` ; \
	done

%:
	dh $@ --with python2 --with autoreconf --parallel

override_dh_clean:
	dh_clean src/saga_core/saga_api/saga_api.py saga_cmd.1 saga_gui.1

override_dh_auto_configure: templates
	dh_auto_configure -- \
		--prefix=/usr \
		--disable-libfire \
		--disable-triangle \
		--enable-openmp \
		--enable-python \
		--with-system-dxflib \
		$(shell dpkg-buildflags --export=configure)

override_dh_auto_build:
	pod2man --section=1 --release=$(VERSION) --center " " debian/saga_gui.pod > saga_gui.1
	pod2man --section=1 --release=$(VERSION) --center " " debian/saga_cmd.pod > saga_cmd.1
	dh_auto_build

override_dh_auto_install:
	dh_auto_install

	# Remove executable bit from resource files
	chmod -x debian/*/usr/share/saga/*.*

	# Explicitly remove files not to be installed
	find $(CURDIR)/debian/tmp/usr/lib -name "*.a" -delete
	find $(CURDIR)/debian/tmp/usr/lib -name "*.la" -delete
	find $(CURDIR)/debian/tmp/usr/lib -name "*.pyc" -delete
	find $(CURDIR)/debian/tmp/usr/lib -name "*.pyo" -delete
	$(RM) -r $(CURDIR)/debian/tmp/usr/include

override_dh_install:
	dh_install --list-missing

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_makeshlibs:
	dh_makeshlibs -Xpython-saga

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## saga 2.3.1+dfsg

=== debian/changelog ===
saga (2.3.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add dh-python to build dependencies.
  * Drop unused UPSTREAM_{URL,VERSION} variables.
  * Add patch to fix spelling errors.
  * Change priority for libsaga from extra to optional.
  * Bump Standards-Version to 4.2.0, changes: priority.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Drop obsolete get-orig-source target.
  * Remove obsolete README.source, repacking documented in copyright file.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add lintian overrides for appstream metadata issues.
  * Add lintian override for python-foo-but-no-python3-foo.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Aug 2018 18:31:14 +0200

saga (2.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix spelling errors.
  * Limit watch file to 2.3.x LTS releases.
  * Add libopencv-dev as preferred dependency for OpenCV 3.1.
    (closes: #841287)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Nov 2016 18:40:43 +0100

saga (2.3.1+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Mark Use-pkg-config-for-Debian-version-of-dxflib.patch as Applied-Upstream.

  [ Johan Van de Wauw ]
  * Make dxflib patch identical to upstream version
  * Add patch to fix projections with gcc 6 (closes: #838915)

 -- Johan Van de Wauw <johan@vandewauw.be>  Tue, 27 Sep 2016 09:36:27 +0200

saga (2.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Jul 2016 20:01:32 +0200

saga (2.3.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Files-Excluded for GPL-3+ files moved to other paths.
  * Update patches, changes:
    - Rename Use-debian-version-dxflib.patch to reflect content changes
    - Drop spelling-errors.patch, fixed upstream
    - Mark Use-debian-version-of-libsvm.patch as Forwarded: not-needed
    - Rename disable-cluster_isodata.patch to disable-imagery_isocluster.patch,
      the entire subdirectory is now excluded, not only cluster_isodata.cpp.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jul 2016 19:14:19 +0200

saga (2.3.0+dfsg1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New repacked upstream release.
  * Also exclude GPL-3+ licensed files from repacked upstream tarballs.
  * Add patch to disable use of cluster_isodata.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Jul 2016 23:12:23 +0200

saga (2.3.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches applied upstream, refresh remaining patches.
  * Add --with-system-dxflib to configure options.
  * Add patch to fix spelling errors.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jul 2016 23:25:12 +0200

saga (2.2.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with GDAL 2.1.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 May 2016 16:27:02 +0200

saga (2.2.7+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Johan Van de Wauw ]
  * Imported Upstream version 2.2.7
    - Removed JasPer support. (closes: #818218)

  [ Bas Couwenberg ]
  * Update watch file to handle common issues.
  * Update version for virtual package.
  * Update copyright file, changes:
    - Separate copyright years and holders with a comma
    - Files on separate lines
  * Use desktop file in favor of menu file per CTTE #741573.
  * Install application icon in hicolor theme.
  * Override dh_install to use --list-missing.
  * Remove executable bit from saga_gui resource files.
  * Move architecture independent files to saga-common package.
  * Explicitly remove files not to be installed.
  * Enable all hardening buildflags.
  * Add templates target to update the version in package control files.
  * Strip trailing whitespace.

  [ Johan Van de Wauw ]
  * Split libsaga library

  [ Bas Couwenberg ]
  * Use minus sign instead underscore in package names.

  [ Johan Van de Wauw ]
  * Add transitional libsaga package
  * Use debian version of libdxf
  * Edit short description of saga_gdi lib
  * Bump version in install/control/override files
  * Remove obsolete Breaks/Replace
  * Add misc depends to libsaga
  * Document license for cluster_isodata

  [ Bas Couwenberg ]
  * Update copyright file, changes:
    - Group copyright holders by license
    - Use standalone license paragraph for BSD-2-clause & GPL-3+
    - Reorder Files sections for imagery subdirectories
  * Add lintian override for no-symbols-control-file.
  * Also install 22x22 icon in hicolor theme.
  * Bump Standards-Version to 3.9.8, changes: application icons.
  * Drop saga-depends executable, obsolete. Library package names match
    the SONAME which includes the upstream version.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 May 2016 14:47:29 +0200

saga (2.2.4+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Add patch for various typos.

  [ Johan Van de Wauw ]
  * Only remove libfire files, not the whole module
  * Imported Upstream version 2.2.4+dfsg
  * Remove unneeded patches (applied/integrated upstream)
  * Bump years in copyright file

 -- Johan Van de Wauw <johan@vandewauw.be>  Thu, 25 Feb 2016 22:48:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: saga
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan@vandewauw.be>,
            Francesco Paolo Lovergine <frankie@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
+               dh-python,
                libdxflib-dev,
                libexpat-dev,
                libgdal-dev,
@@ -25,9 +25,9 @@
                libwxgtk3.0-dev,
                python-dev,
                swig
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/saga.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/saga.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/saga
+Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git
 Homepage: http://www.saga-gis.org/
 
 Package: saga
@@ -102,7 +102,6 @@
 Package: libsaga
 Architecture: all
 Section: oldlibs
-Priority: extra
 Depends: libsaga-api-2.3.1,
          libsaga-gdi-2.3.1,
          ${misc:Depends}
@@ -127,4 +126,3 @@
  information system used for editing and analysing spatial data.
  .
  This package contains the Python bindings to SAGA.
-

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,7 @@
 
 CFLAGS += $(CPPFLAGS)
 
-VERSION          := $(shell grep '^AC_INIT' configure.ac | sed 's/AC_INIT(saga, \([0-9|\.]*\)\,.*)/\1/g')
-UPSTREAM_URL     ?= $(shell uscan --dehs | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
-UPSTREAM_VERSION ?= $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
+VERSION := $(shell grep '^AC_INIT' configure.ac | sed 's/AC_INIT(saga, \([0-9|\.]*\)\,.*)/\1/g')
 
 TEMPLATES = $(wildcard debian/*.in)
 
@@ -58,7 +56,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xpython-saga
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz
-

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+dfsg \
http://sf.net/saga-gis/ \
saga[_-]?(2\.3\.\d+(?:[_\.\-\+]?(?:(?:RC|rc|pre|dev|beta|alpha)\d*)?)?)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
